{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Scrumptious Recipes</title>
    <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
</head>
<body>
    <header>
        <nav>
            <a class="main_link" href="{% url 'recipe_list' %}">Main page</a>
            <a class="create_link" href="{% url 'create_recipe' %}">Create a recipe</a>
            {% if user.is_authenticated %}
            Hello, {{ user.username }}
            <a class="create_link" href="{% url 'user_logout' %}">Logout</a>
            <a class="create_link" href="{% url 'my_recipe_list' %}">My recipes</a>
            {% else %}
            <a class="create_link" href="{% url 'signup' %}">Sign up</a>
            <a class="create_link" href="{% url 'user_login' %}">Login</a>
            {% endif %}
        </nav>
    </header>
    <main>
        <h1>Scrumptious Recipes</h1>
        <h2 class="topper">
            All the food that's fit to eat
        </h2>
        <div class="food_list">
            {% for recipe in recipe_list %}
            <div>
                <h3>
                    <a class="food_link" href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
                    <p>{{ recipe.created_on|date:"N j Y"}}</p>
                </h3>
                <img src="{{ recipe.picture }}" alt="A plate of vegetarian tacos" class="image-taco">
                <div>4.3 stars</div>
            </div>
            {% endfor %}
        </div>
    </main>
    <footer>Made with love by Scrumptious Recipes</footer>
</body>
</html>